UAD Plug-Ins

Welcome to UA Support
How can we help?

Apollo X Rack Mac Compatibility

Thunderbolt Mac Computer Compatibility

  • Apollo X Rack is compatible with all Apple Mac computers that have an available Thunderbolt, Thunderbolt 2, or Thunderbolt 3 port. The computer must meet the system requirements.

UA Device Compatibility with Apollo X Rack

  • For details on UA device compatibility with Apollo X Rack, see this article.

Device Driver and UAD Plug-In Compatibility

  • Apollo X Rack requires macOS version 10.12 Sierra, 10.13 High Sierra or 10.14 Mojave
  • UAD Powered Plug-Ins are 32-bit and 64-bit compatible
  • Console 2.0 is a Retina-compatible 64-bit application
Have more questions? Submit a request

Comments